export const numberFormats = (num: any) => {
    if (num) {
        let nums = Number(num).toFixed(2);
        let newNum = Number(nums).toLocaleString('en-US'); // 数字转成千分位 = 123,456.78
        const numArr = newNum.split('.'); // 按小数点吧数字拆分 = [123,456, 78]
        if (!numArr[1]) {
            // 如果数组没有下标1的元素，就加.00，例：123,456 = 123,456.00
            newNum = newNum + '.00';
        } else if (numArr[1].length === 1) {
            // 如果数组下标1的元素只有一位小数，就加个0，例：123,456.7 = 123,456.70
            newNum = newNum + '0';
        } else if (numArr[1].length >= 2) {
            // // 如果数组下标1的元素小数位大于等于2位，就截取前两位，例：123,456.789 = 123,456.78
            newNum = numArr[0] + '.' + numArr[1].substr(0, 2);
        }
        return newNum;
    } else {
        return '0.00';
    }
};
